Subject: Re: Segmentation fault running JvCreateJavaVM possile bug ?
From: school <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 3 Feb 2003 12:41:46 +0900

On Wed, 29 Jan 2003 12:05:12 -0500
"[email-masked]" <[email-masked]> wrote:

> Sorry, I don't have time to try this (I don't use gcj) but have you 
> looked here:
> 
> http://cygwin.com/cygwin-ug-net/dll.html
> 
> It's hard for me to tell by the information you've given but I do 
> see some differences between what you're doing (in process) and 
> that which is described in this guide.  Perhaps that will help?
> 
> Larry
Thanks for your hint. I've got one step further.

I can link programs  against "gcc -shared " created dll but only with gcc.
I made an export file (def) and a library (lib) with implib and compiled the same sample with
bcc32 and it links ok.But at runtime an error pops up saying :

  DLLtest.exe raised an EAccessViolation class error.Illegal acces to 0000000 from 
address 6100F47B in cygwin1.dll.Procces stopped.

  This is not exactly what it shows because ,since I'm using a japanese version of win2k,
the error messages are in japanese,but it's a "close enough" translation I think.

 Do you know if this is a cygwin problem or windows or borland.I looked on the borland 
pages (that`s how I found the import method which works if it doesn`t call cygwin1.dll)
but couldn`t find anything relevant. 

Thanks for your time .

-- 
Lucian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/